import { Query, QueryType } from './types';
export declare const colors: string[];
/**
 * @param durationInNanos
 * @returns formatted string from the duration
 */
export declare function durationToString(durationInNanos: number): string;
/**
 * @param query to render to a string
 * @param options - configure the output, maxWidth controls the width of the string, colorByQueryType allows coloring the output
 * @returns query and its children rendered as a string
 */
export declare function queryToString(query: Query, { maxWidth, colorByQueryType }?: {
    maxWidth?: number;
    colorByQueryType?: Map<QueryType, string>;
}): string;
