import { Profile, Query } from './types';
export declare function arrayToMultiMap<Item, Key extends string | number, Value = Item>(items: readonly Item[], keyFunction: (item: Item) => Key, valueFunction?: (item: Item) => Value): Map<Key, Value[]>;
export declare function getQueryTypesFromProfile(profile: Profile): Set<string>;
export declare function getAllLeafQueriesFromProfile(profile: Profile): Query[];
